#
# Conditional build:
%bcond_without	gtk2		# GTK+ 2 interfaces
%bcond_without	gtk3		# GTK+ 3 interfaces
%bcond_without	smartcard	# Smartcard support
%bcond_without	usbredir	# USB redirection
%bcond_without	static_libs	# static libraries
#
Summary:	A GTK+ client and libraries for SPICE remote desktop servers
Summary(pl.UTF-8):	Klient i biblioteki GTK+ dla serwerów zdalnych pulpitów SPICE
Name:		spice-gtk
Version:	0.30
Release:	1
License:	LGPL v2.1+
Group:		X11/Applications
Source0:	http://www.spice-space.org/download/gtk/%{name}-%{version}.tar.bz2
# Source0-md5:	723e0e9ce9d507ba5d6cd331a3a9b7fb
Patch0:		%{name}-builddir.patch
Patch1:		%{name}-am.patch
Patch2:		%{name}-codegen.patch
URL:		http://spice-space.org/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	cairo-devel >= 1.2.0
BuildRequires:	celt051-devel >= 0.5.1.1
BuildRequires:	cyrus-sasl-devel >= 2.0
BuildRequires:	gcc >= 5:3.0
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	gobject-introspection-devel >= 0.9.4
BuildRequires:	glib2-devel >= 1:2.44
BuildRequires:	gtk-doc >= 1.14
%{?with_gtk2:BuildRequires:	gtk+2-devel >= 2:2.18.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel >= 3.0}
BuildRequires:	intltool >= 0.40.0
%{?with_smartcard:BuildRequires:	libcacard-devel >= 0.1.2}
BuildRequires:	libjpeg-devel
BuildRequires:	libsoup-devel >= 2.50
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2.0
BuildRequires:	lz4-devel
BuildRequires:	openssl-devel
BuildRequires:	opus-devel >= 0.9.14
BuildRequires:	perl-Text-CSV
BuildRequires:	perl-base >= 1:5.8.1
BuildRequires:	phodav-devel >= 2.0
BuildRequires:	pixman-devel >= 0.17.7
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel
BuildRequires:	sed >= 4.0
BuildRequires:	spice-protocol >= 0.12.10
BuildRequires:	spice-protocol-codegen >= 0.12.10
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	zlib-devel
%if %{with gtk2}
BuildRequires:	gtk+2-devel >= 2:2.18.0
BuildRequires:	python-devel >= 2.0
BuildRequires:	python-pygtk-devel >= 2:2.0.0
%endif
%if %{with usbredir}
BuildRequires:	acl-devel
BuildRequires:	libusb-devel >= 1.0.16
BuildRequires:	polkit-devel >= 0.96
BuildRequires:	usbredir-devel >= 0.5.2
%endif
%{?with_smartcard:Requires:	libcacard >= 0.1.2}
Requires:	spice-glib = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A GTK+ client and libraries for SPICE remote desktop servers.

%description -l pl.UTF-8
Klient i biblioteki GTK+ dla serwerów zdalnych pulpitów SPICE.

%package devel
Summary:	Header files for SPICE GTK 3.0 client library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki klienckiej SPICE GTK 3.0
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	spice-glib-devel = %{version}-%{release}
Requires:	gtk+3-devel >= 3.0

%description devel
Header files for SPICE GTK 3.0 client library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki klienckiej SPICE GTK 3.0.

%package static
Summary:	Static SPICE GTK 3.0 client library
Summary(pl.UTF-8):	Statyczna biblioteka kliencka SPICE GTK 3.0
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static SPICE GTK 3.0 client library.

%description static -l pl.UTF-8
Statyczna biblioteka kliencka SPICE GTK 3.0.

%package apidocs
Summary:	SPICE GTK API documentation
Summary(pl.UTF-8):	Dokumentacja API bibliotek SPICE GTK
Group:		Documentation

%description apidocs
API documentation for SPICE GTK libraries.

%description apidocs -l pl.UTF-8
Dokumentacja API bibliotek SPICE GTK.

%package -n spice-glib
Summary:	SPICE Client GLib library
Summary(pl.UTF-8):	Biblioteka kliencka SPICE GLib
Group:		Libraries
Requires:	celt051 >= 0.5.1.1
Requires:	glib2 >= 1:2.44
%{?with_smartcard:Requires:	libcacard >= 0.1.2}
Requires:	libsoup >= 2.50
Requires:	opus >= 0.9.14
Requires:	pixman >= 0.17.7
%if %{with usbredir}
Requires:	libusb >= 1.0.16
Requires:	usbredir >= 0.5.2
%endif

%description -n spice-glib
SPICE Client GLib library.

%description -n spice-glib -l pl.UTF-8
Biblioteka kliencka SPICE GLib.

%package -n spice-glib-devel
Summary:	Header files for SPICE Client GLib library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki klienckiej SPICE GLib
Group:		Development/Libraries
Requires:	celt051-devel >= 0.5.1.1
Requires:	cyrus-sasl-devel >= 2.0
Requires:	glib2-devel >= 1:2.44
%{?with_smartcard:Requires:	libcacard-devel >= 0.1.2}
Requires:	libjpeg-devel
Requires:	openssl-devel
Requires:	pixman-devel >= 0.17.7
Requires:	pulseaudio-devel
Requires:	spice-glib = %{version}-%{release}
Requires:	spice-protocol >= 0.12.10
%if %{with usbredir}
Requires:	libusb-devel >= 1.0.16
Requires:	usbredir-devel >= 0.5.2
%endif

%description -n spice-glib-devel
Header files for SPICE Client GLib library.

%description -n spice-glib-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki klienckiej SPICE GLib.

%package -n spice-glib-static
Summary:	SPICE Client GLib static library
Summary(pl.UTF-8):	Statyczna biblioteka kliencka SPICE GLib
Group:		Development/Libraries
Requires:	spice-glib-devel = %{version}-%{release}

%description -n spice-glib-static
SPICE Client GLib static library.

%description -n spice-glib-static -l pl.UTF-8
Statyczna biblioteka kliencka SPICE GLib.

%package -n spice-glib-usb
Summary:	USB redirection ACL helper for SPICE Client GLib library
Summary(pl.UTF-8):	Program pomocniczy ACL do przekierowań USB dla biblioteki klienckiej SPICE GLib
Group:		Applications/System
Requires:	spice-glib = %{version}-%{release}
Requires:	polkit >= 0.96

%description -n spice-glib-usb
USB redirection ACL helper for SPICE Client GLib library.

%description -n spice-glib-usb -l pl.UTF-8
Program pomocniczy ACL do przekierowań USB dla biblioteki klienckiej
SPICE GLib.

%package -n spice-gtk2
Summary:	SPICE Client GTK 2.0 library
Summary(pl.UTF-8):	Biblioteka kliencka SPICE GTK 2.0
Group:		X11/Libraries
Requires:	gtk+2 >= 2:2.18.0
Requires:	spice-glib = %{version}-%{release}

%description -n spice-gtk2
SPICE Client GTK 2.0 library.

%description -n spice-gtk2 -l pl.UTF-8
Biblioteka kliencka SPICE GTK 2.0.

%package -n spice-gtk2-devel
Summary:	Header files for SPICE Client GTK 2.0 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki klienckiej SPICE GTK 2.0
Group:		X11/Development/Libraries
Requires:	gtk+2-devel >= 2:2.18.0
Requires:	spice-glib-devel = %{version}-%{release}

%description -n spice-gtk2-devel
Header files for SPICE Client GTK 2.0 library.

%description -n spice-gtk2-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki klienckiej SPICE GTK 2.0.

%package -n spice-gtk2-static
Summary:	SPICE Client GTK 2.0 static library
Summary(pl.UTF-8):	Statyczna biblioteka kliencka SPICE GTK 2.0
Group:		X11/Development/Libraries
Requires:	spice-gtk2-devel = %{version}-%{release}

%description -n spice-gtk2-static
SPICE Client GTK 2.0 static library.

%description -n spice-gtk2-static -l pl.UTF-8
Statyczna biblioteka kliencka SPICE GTK 2.0.

%package -n python-spice-gtk
Summary:	Python interface to SPICE client GTK library
Summary(pl.UTF-8):	Pythonowy interfejs do biblioteki klienckiej SPICE GTK
Group:		Libraries/Python
Requires:	spice-gtk2 = %{version}-%{release}

%description -n python-spice-gtk
Python interface to SPICE client GTK library.

%description -n python-spice-gtk -l pl.UTF-8
Pythonowy interfejs do biblioteki klienckiej SPICE GTK.

%package -n vala-spice-protocol
Summary:	Vala API for SPICE client library
Summary(pl.UTF-8):	Interfejs języka Vala do biblioteki klienckiej SPICE
Group:		Development/Libraries
Requires:	spice-protocol >= 0.12.10
Requires:	vala >= 2:0.14

%description -n vala-spice-protocol
Vala API for SPICE client library.

%description -n vala-spice-protocol -l pl.UTF-8
Interfejs języka Vala do biblioteki klienckiej SPICE.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

mkdir %{?with_gtk2:gtk2} %{?with_gtk3:gtk3}

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd spice-common
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd ..

%if %{with gtk2}
cd gtk2
../%configure \
	--enable-lz4 \
	--disable-silent-rules \
	%{!?with_smartcard:--disable-smartcard} \
	%{?with_static_libs:--enable-static} \
	%{!?with_usbredir:--disable-usbredir} \
	--with-gtk=2.0 \
	--with-html-dir=%{_gtkdocdir} \
	--with-pnp-ids-path=/lib/hwdata/pnp.ids \
	--with-usb-ids-path=/lib/hwdata/usb.ids
%{__make}
cd ..
%endif

%if %{with gtk3}
cd gtk3
../%configure \
	--enable-gtk-doc \
	--enable-lz4 \
	--disable-silent-rules \
	%{!?with_smartcard:--disable-smartcard} \
	%{?with_static_libs:--enable-static} \
	%{!?with_usbredir:--disable-usbredir} \
	--with-gtk=3.0 \
	--with-html-dir=%{_gtkdocdir} \
	--with-pnp-ids-path=/lib/hwdata/pnp.ids \
	--with-usb-ids-path=/lib/hwdata/usb.ids
%{__make}
%endif

%install
rm -rf $RPM_BUILD_ROOT

# gtk2 first, so executables will use gtk3 libs
%if %{with gtk2}
%{__make} -C gtk2 install -j1 \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%if %{with gtk3}
%{__make} -C gtk3 install -j1 \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/SpiceClientGtk.la
%if %{with static_libs}
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/SpiceClientGtk.a
%endif
# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	-n spice-glib -p /sbin/ldconfig
%postun	-n spice-glib -p /sbin/ldconfig

%post	-n spice-gtk2 -p /sbin/ldconfig
%postun	-n spice-gtk2 -p /sbin/ldconfig

%if %{with gtk3}
%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/spicy
%attr(755,root,root) %{_bindir}/spicy-screenshot
%attr(755,root,root) %{_bindir}/spicy-stats
%attr(755,root,root) %{_libdir}/libspice-client-gtk-3.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libspice-client-gtk-3.0.so.4
%{_libdir}/girepository-1.0/SpiceClientGtk-3.0.typelib
%{_mandir}/man1/spice-client.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libspice-client-gtk-3.0.so
%{_includedir}/spice-client-gtk-3.0
%{_pkgconfigdir}/spice-client-gtk-3.0.pc
%{_datadir}/gir-1.0/SpiceClientGtk-3.0.gir

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libspice-client-gtk-3.0.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/spice-gtk
%endif

%files -n spice-glib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libspice-client-glib-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libspice-client-glib-2.0.so.8
%attr(755,root,root) %{_libdir}/libspice-controller.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libspice-controller.so.0
%{_libdir}/girepository-1.0/SpiceClientGLib-2.0.typelib

%files -n spice-glib-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libspice-client-glib-2.0.so
%attr(755,root,root) %{_libdir}/libspice-controller.so
%{_includedir}/spice-client-glib-2.0
%{_includedir}/spice-controller
%{_pkgconfigdir}/spice-client-glib-2.0.pc
%{_pkgconfigdir}/spice-controller.pc
%{_datadir}/gir-1.0/SpiceClientGLib-2.0.gir

%if %{with static_libs}
%files -n spice-glib-static
%defattr(644,root,root,755)
%{_libdir}/libspice-client-glib-2.0.a
%{_libdir}/libspice-controller.a
%endif

%if %{with usbredir}
%files -n spice-glib-usb
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/spice-client-glib-usb-acl-helper
%{_datadir}/polkit-1/actions/org.spice-space.lowlevelusbaccess.policy
%endif

%if %{with gtk2}
%files -n spice-gtk2
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libspice-client-gtk-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libspice-client-gtk-2.0.so.4
%{_libdir}/girepository-1.0/SpiceClientGtk-2.0.typelib

%files -n spice-gtk2-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libspice-client-gtk-2.0.so
%{_includedir}/spice-client-gtk-2.0
%{_pkgconfigdir}/spice-client-gtk-2.0.pc
%{_datadir}/gir-1.0/SpiceClientGtk-2.0.gir

%if %{with static_libs}
%files -n spice-gtk2-static
%defattr(644,root,root,755)
%{_libdir}/libspice-client-gtk-2.0.a
%endif

%files -n python-spice-gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/SpiceClientGtk.so
%endif

%files -n vala-spice-protocol
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/spice-protocol.vapi
%changelog
* Sun Oct 04 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/spice-gtk.git;a=log;h=master

* Fri Oct 02 2015 Jakub Bogusz <qboosh@pld-linux.org> fc53070
- updated to 0.30
- added codegen patch (don't require sources of codegen library)

* Sat Jun 27 2015 Jakub Bogusz <qboosh@pld-linux.org> 609048a
- updated to 0.29

* Sat Apr 25 2015 Jakub Bogusz <qboosh@pld-linux.org> f6dbd78
- updated glib version, BR: libsoup-devel

* Sat Apr 11 2015 Jan Rękorajski <baggins@pld-linux.org> e6cbe98
- up to 0.28
- builds with phodav 2 now

* Sun Mar 01 2015 Jakub Bogusz <qboosh@pld-linux.org> c5db4fd
- not ready for phodav 2 (libphodav-1.0 is required)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> dbdf416
- updated gettext BR

* Fri Dec 12 2014 Jakub Bogusz <qboosh@pld-linux.org> 6cda7c5
- updated to 0.27

* Sun Apr 20 2014 Jakub Bogusz <qboosh@pld-linux.org> 253088b
- updated to 0.25
- removed obsolete phodav patch

* Sat Apr 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 8cdeb0f
- updated to 0.24
- added phodav patch from git (use system phodav)

* Tue Feb 11 2014 Jakub Bogusz <qboosh@pld-linux.org> 178a4f6
- updated to 0.23; use libusb 1.0.16+ based hotplug instead of libgudev

* Sun Jan 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 7471ac1
- updated to 0.22

* Fri Oct 18 2013 Jakub Bogusz <qboosh@pld-linux.org> 94d3d18
- updated to 0.21

* Fri Jul 19 2013 Jakub Bogusz <qboosh@pld-linux.org> e26ff8c
- updated to 0.20
- updated am patch

* Sun Jun 16 2013 Jakub Bogusz <qboosh@pld-linux.org> 82d7398
- updated to 0.19

* Thu Feb 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 0d3aaee
- updated to 0.18
- removed obsolete sh patch
- old am patch obsolete; added new one to disable -Werror am flag (gtk-doc suite causes non-portability warning)

* Sat Jan 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 9891153
- updated to 0.16

* Fri Jan 04 2013 Jakub Bogusz <qboosh@pld-linux.org> 8168403
- updated to 0.15
- removed obsolete usbredir patch
- added am patch (fixes build with automake 1.13)

* Thu Dec 06 2012 Jan Rękorajski <baggins@pld-linux.org> 2f0eff3
- release 2 (by relup.sh)

* Sat Sep 29 2012 Jakub Bogusz <qboosh@pld-linux.org> f09efb9
- updated to 0.14
- added usbredir patch to build with usbredir 0.5.2

* Wed Sep 19 2012 Jakub Bogusz <qboosh@pld-linux.org> 35affeb
- updated to 0.13 (note: new sonames)

